Package org.apache.ignite.lang

## Interface IgniteAsyncSupport

- All Known Subinterfaces:
    `IgniteCache<K,​V>`, `IgniteCluster`, `IgniteCompute`, `IgniteEvents`, `IgniteMessaging`, `IgniteServices`, `Transaction`

      @Deprecated
      public interface IgniteAsyncSupport

  Deprecated.
  since 2.0. Please use specialized asynchronous methods.
  Allows to enable asynchronous mode on Ignite APIs, e.g.

           IgniteFuture f = cache.getAsync();

  instead of old-style async API:

           IgniteCache asyncCache = cache.withAsync();
           asyncCache.get(key);
           IgniteFuture fut = asyncCache.future();

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<R> IgniteFuture<R>` | `future()` | Deprecated. since 2.0.
    `boolean` | `isAsync()` | Deprecated. since 2.0.
    `IgniteAsyncSupport` | `withAsync()` | Deprecated. since 2.0.

- - ### Method Detail

    - #### withAsync

          @Deprecated
          IgniteAsyncSupport withAsync()

      Deprecated.
      since 2.0. Please use new specialized async method e.g.

               IgniteFuture f = cache.getAsync();

      instead of old-style async API:

               IgniteCache asyncCache = cache.withAsync();
               asyncCache.get(key);
               IgniteFuture fut = asyncCache.future();

      Gets instance of this component with asynchronous mode enabled.
      Returns:
        Instance of this component with asynchronous mode enabled.

    - #### isAsync

          @Deprecated
          boolean isAsync()

      Deprecated.
      since 2.0. Please use new specialized async method e.g.

               IgniteFuture f = cache.getAsync();

      instead of old-style async API:

               IgniteCache asyncCache = cache.withAsync();
               asyncCache.get(key);
               IgniteFuture fut = asyncCache.future();

      Returns:
        `True` if asynchronous mode is enabled.

    - #### future

          @Deprecated
          <R> IgniteFuture<R> future()

      Deprecated.
      since 2.0. Please use new specialized async method e.g.

               IgniteFuture f = cache.getAsync();

      instead of old-style async API:

               IgniteCache asyncCache = cache.withAsync();
               asyncCache.get(key);
               IgniteFuture fut = asyncCache.future();

      Gets and resets future for previous asynchronous operation.
      Type Parameters:
        `R` - Type of the future result.
      Returns:
        Future for previous asynchronous operation.